Bug 966334 - [Language List] 'Last Translated' should be sorted by date, not as alphabetical order
[Language List] 'Last Translated' should be sorted by date, not as alphabetic...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
2.3
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 01:34 EDT by Ankit Patel
Modified: 2013-11-26 22:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:31:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A screenshot from kexec-tools project sorting (71.92 KB, image/png)
2013-05-23 01:34 EDT, Ankit Patel
no flags Details
Tested result on 3.0.0-alpha-2-SNAPSHOT (20130723-1232) (78.13 KB, image/png)
2013-07-23 02:49 EDT, Ding-Yi Chen
no flags Details

  None (edit)
Description Ankit Patel 2013-05-23 01:34:25 EDT
Created attachment 751999 [details]
A screenshot from kexec-tools project sorting

Description of problem:
When you try to sort the list of languages by their 'Last Translated' date for any project hosted on Zanata, it doesn't sort them in correct order rather it sorts them by alphabetical order it seems.

Version-Release number of selected component (if applicable):
Zanata 2.3

How reproducible:
Everytime

Steps to Reproduce:
1. Signin to Zanata
2. Search for any project
3. Visit it's release/version
4. Check the list of languages
5. Try to sort them by "Last Translated"
6. Observe the behaviour

Actual results:
Sorting happens by alphabetical order

Expected results:
Sorting should happen by date

Additional info:
N/A
Comment 2 Ding-Yi Chen 2013-07-23 02:13:46 EDT
Bug confirmed with Zanata version 2.3.2 (20130515-2337)
Comment 3 Ding-Yi Chen 2013-07-23 02:39:29 EDT
Bug 953376 is for document list, while this bug is for language list.
Comment 4 Ding-Yi Chen 2013-07-23 02:49:46 EDT
Created attachment 777179 [details]
Tested result on 3.0.0-alpha-2-SNAPSHOT (20130723-1232)

Tested with Zanata version 3.0.0-alpha-2-SNAPSHOT (20130723-1232)

The column header "Last Translated" is no longer toggleable.

Reassigned.
Comment 5 Damian Jansen 2013-08-15 01:11:29 EDT
Verified at 21666add5b2a709df3e4594afec44ccd824174b4
Comment 6 Sean Flanigan 2013-11-26 22:31:44 EST
Closing VERIFIED bugs which predate Zanata 3.1.2.

Note You need to log in before you can comment on or make changes to this bug.